Subject: Re: bug#79024: 31.0.50; Multiple working trees support for VC

From: Sean Whitton <[email-masked]>
Date: Tue, 12 Aug 2025 20:47:49 +0100

Hello,

On Tue 12 Aug 2025 at 04:22pm +03, Eli Zaretskii wrote:

> Yes, agreed.  My only comment is that perhaps we should introduce
> vc-hg-commits-coding-system, similar to vc-git-commits-coding-system,
> by default 'utf-8', and use it with the --encoding switch.  But that
> could be added later.

Thanks.

Reading #23076, it is not clear to me why you implemented both: encoding
command line arguments using the system code page, and passing the
commit message through a file.

Your message to the bug first proposing these fixes suggests choosing
between them.  But we have both.  Can you explain?

Another question would be: do we need both for Mercurial, or is passing
the commit message via a file sufficient?

-- 
Sean Whitton